<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.UserPayMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.UserPay">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="user_id" jdbcType="INTEGER" property="userId" />
    <result column="module" jdbcType="VARCHAR" property="module" />
    <result column="module_extend" jdbcType="VARCHAR" property="moduleExtend" />
    <result column="module_id" jdbcType="INTEGER" property="moduleId" />
    <result column="is_use" jdbcType="INTEGER" property="isUse" />
    <result column="use_time" jdbcType="TIMESTAMP" property="useTime" />
    <result column="start_time" jdbcType="TIMESTAMP" property="startTime" />
    <result column="expire_time" jdbcType="TIMESTAMP" property="expireTime" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `user_id`, `module`, `module_extend`, `module_id`, `is_use`, `use_time`, `start_time`, 
    `expire_time`, `create_time`
  </sql>
</mapper>